image: node:8.11.1 # can be upgraded, depending on your node version used

pages:
  cache:
    paths:
      - ./node_modules/

  stage: deploy
  script:
    - npm install
    - npm run build
    - mv build/* public/
  artifacts:
    paths:
      - public # mandatory, other folder won't work
  only:
    - master # or dev, the branch you want to publish
